Adding [linux-any] for libasound2-dev to fix FTBFS on non-linux.
authorAndriy Grytsenko <andrej@rep.kiev.ua>
Mon, 8 Dec 2014 14:36:00 +0000 (16:36 +0200)
committerAndriy Grytsenko <andrej@rep.kiev.ua>
Mon, 8 Dec 2014 14:36:00 +0000 (16:36 +0200)
There is a library emulation on other platforms but it fails to build with
this code, the most probably API is different for native ALSA code and
for emulated, therefore it's better to build volume plugin without alsa.

debian/control

index e1f0ac0..6a6d54d 100644 (file)
@@ -7,7 +7,7 @@ Uploaders:
  Andriy Grytsenko <andrej@rep.kiev.ua>
 Build-Depends:
  debhelper (>= 9), dh-autoreconf,
- intltool, libasound2-dev,
+ intltool, libasound2-dev [linux-any],
  libgtk2.0-dev (>= 2.18), libiw-dev [linux-any], libmenu-cache-dev,
  libwnck-dev, libfm-gtk-dev (>= 1.2.0),
  libxml2-dev, libkeybinder-dev